### Method

# RB MetaData get

#### Declaration [src]

    gboolean
    rb_metadata_get (
      RBMetaData* md,
      RBMetaDataField field,
      GValue* val
    )

#### Description [src]

Retrieves the value of a metadata field extracted from the target URI. If the target URI contained no value for the field, returns FALSE.

#### Parameters

`field`

  Type: `RBMetaDataField`

  The `RBMetaDataField` to retrieve.

`val`

  Type: `GValue`

  Returns the field value.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

#### Return value

Type: `gboolean`

TRUE if a value was returned.